vim.o.expandtab = true
vim.o.hidden = true
vim.o.ignorecase = true
vim.o.inccommand = "split"
vim.o.list = true
vim.o.listchars = "tab:→ ,eol:¬,trail:•,extends:❯,precedes:❮,space:‣"
vim.o.mouse = "a"
vim.o.number = true
vim.o.relativenumber = true
vim.o.sessionoptions = "blank,curdir,folds,help,tabpages,winsize"
vim.o.shiftwidth = 4
vim.o.showbreak = "↪"
vim.o.showtabline = 1
vim.o.signcolumn = "yes"
vim.o.smartcase = true
vim.o.smarttab = true
vim.o.splitbelow = true
vim.o.splitright = true
vim.o.tabstop = 4
vim.o.termguicolors = true
vim.o.timeoutlen = 500
vim.o.title = true
vim.o.updatetime = 500
vim.o.wildmenu = true
vim.o.wildmode = "list:longest,full"

vim.api.nvim_create_autocmd('TextYankPost', {
  callback = function() vim.highlight.on_yank() end
})

-- Ctrlp
vim.g.ctrlp_map = "<leader>p"
vim.g.ctrlp_cmd = "CtrlPMixed"
vim.g.ctrlp_user_command = "rg --files %s"
