{
  pkgs,
  lib,
  config,
  ...
}: {
  home.file.".ideavimrc".source = ../../../ideavim/ideavimrc;
  xdg.configFile."erdtree/.erdtreerc".source = ../../../erdtree/erdtreerc;
  xdg.configFile."ov/config.yaml".source = ../../../ov/ov-less.yaml;
  home.file."bin/git-sync".source = ../../../git-sync;
  xdg.configFile."kitty/kitty.conf".source = ../../../kitty/kitty.conf;
  xdg.configFile."lsd/config.yaml".source = ../../../lsd/config.yaml;
  home.file.".cargo/config.toml".source = pkgs.substituteAll {
    src = ../../../cargo/config.toml.nixtemplate;
    profileDir = config.home.profileDirectory;
  };
}
